<!--
SPDX-FileCopyrightText: © 2020 Open Networking Foundation <support@opennetworking.org>
SPDX-License-Identifier: Apache-2.0
--!>
# mariadb

MariaDB Database

This role installs MariaDB from the [official MariaDB APT
repo](https://mariadb.com/kb/en/installing-mariadb-deb-files)

It can also create databases and users for those databases

## Example Playbook

```yaml
- hosts: all
  vars:
    mariadb_users:
      - name: "exampleuser"
        password: "examplepass"
        priv: "exampledb.*:ALL"
    mariadb_databases:
      - name: "exampledb"
  roles:
    - mariadb

```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
